Subject: Re: [Ohttp] Éric Vyncke's No Objection on charter-ietf-ohttp-00-02: (with COMMENT)

From: "Martin Thomson" <[email-masked]>
Date: Fri, 03 Sep 2021 13:59:35 +1000

Sorry that I missed this earlier Éric,

On Thu, Aug 26, 2021, at 22:19, Éric Vyncke via Datatracker wrote:
> I second Rob's comment about Martin Thomson's draft in the charter [...]

This is pretty normal practice, but I'm ambivalent about it.  I'll ask for adoption for that draft either way.

> [...] and Ben's comment on the trust relationship.

I couldn't see a natural place to put some text on that.  I ended up concluding that it's a detail that I think better belongs in documents more than charters.  If you care to offer a suggestion, that would be helpful.

> Strongly support Jari's email about the name of this potential WG: using HTTP
> gives a hint to a generic HTTP proxy (and I was really confused when the
> charter was first discussed).

I don't agree with Jari to that degree.  But my opinion doesn't matter here.  Francesca is going to propose a less controversial name for the working group.
 
> Using "server might be able to build a profile of client activity by
> correlating requests from the same client over time" as a motivation for this
> WG is kind of weird since servers could still use cookies to do so (if I
> understand correctly).

Eric answered this.  The insight you might need here is that clients can know when this sort of privacy is desirable, and it's always a deliberate choice to include cookies in requests.  That profile won't accrue if clients don't actively enable it.  (And yes, you can read that as browser being complicit in the privacy disaster that cookies are, but I request that we not use this as another opportunity to discuss that topic.)

> Suggest s/plus any key configuration/plus any cryptographic materials
> configuration/ as "key" could be understood as "important" (I could even
> misunderstood its intended meaning! then s/key/important/ or s/key/required/).

The proposed changes in https://github.com/unicorn-wg/ohttp-charter/pull/8 should address that.
 
> The statement "the working group may work on other use cases and deployment
> models" is pretty broad and I would prefer to request a rechartering to address
> other use cases. OTOH, wokring on discovery of OHTTP proxies is perfectly fine
> to add to the charter.

This is the outcome of a lot of wrangling.  Let us not recapitulate that.
 
> Should there be a separate milestone for the applicability statement ?

I believe that the text in the proposed starting draft won't need too much more text to achieve the goal of explaining applicability, even if it might need more work.

Either way, chairs are able to add milestones with minimal overhead.  If the working group wants to make another document, that shouldn't be a problem.

> "The working group will prioritize work on the core protocol elements"
> prioritize against what since there is only one milestone ?

count(milestones) != count(things worked on); not only because we might add new milestones (as above), but because each milestone is a suite of interconnected work.